/* global describe, it, before */

import chai from 'chai';
import {Client, RequestTypes} from '../lib/library.js';

const promised = require( 'chai-as-promised' );

chai.use( promised );
chai.should();

const expect = chai.expect;
const done = chai.done;

let lib;

const connectRequest = new RequestTypes.ConnectRequest('username', 'password');

const validRequest = new RequestTypes.CreateAccountRequest(1010, 1);
const invalidRequest = new RequestTypes.CreateAccountRequest(1101);

describe('Given an instance of Client', () => {
  before(() => {
    lib = new Client('apiId', 'apiKey');
    lib.login(connectRequest);
  });
  describe('when I create an account', () => {
    it('should be fulfilled', () => {
      return lib.call(validRequest).should.be.fulfilled;
    });
  });
  describe('when I create an account without all parameters', () => {
    it('should be rejected', () => {
      return lib.call(invalidRequest).should.be.rejectedWith('Wrong parameters');
    });
  });
});