/* global describe, it, before */

import chai from 'chai';
import {Client, RequestTypes} from '../lib/library.js';

const promised = require( 'chai-as-promised' );

chai.use( promised );
chai.should();

const expect = chai.expect;
const done = chai.done;

let lib;

const connectRequest = new RequestTypes.ConnectRequest('username', 'password');

const validRequest = new RequestTypes.CreateApplicationRequest("Mr", "A", "B", "1", "building", "sname",
"c", "pc", "co", "07", "xx/xx/xxxx", "tn", "bl", "yt", "mto", "bt", "ba", "bc", "bpc", "bln");
const invalidRequest = new RequestTypes.CreateApplicationRequest("Mr", "A", "B", "1", "building", "sname",
"c", "pc", "co", "07", "xx/xx/xxxx", "tn", "bl", "yt", "mto", "bt", "ba", "bc", "bpc");
const updateRequest = new RequestTypes.UpdateApplicationRequest(1020, "building", "buildingn", "sname",
"c", "pc", "co")

describe('Given an instance of Client', () => {
  before(() => {
    lib = new Client('apiId', 'apiKey');
  });
  describe('when I connect', () => {
    it('should not fail', () => {
      return lib.login(connectRequest).should.be.fulfilled;
    });
  });
  describe('when I need create an application', () => {
    it('should be fulfilled', () => {
      return lib.call(validRequest).should.be.fulfilled;
    });
  });
  describe('when I create an application without all parameters', () => {
    it('should be rejected', () => {
      return lib.call(invalidRequest).should.be.rejectedWith('Wrong parameters');
    });
  });
  describe('when I update an application', () => {
    it('should not fail', () => {
      return lib.call(updateRequest).should.be.fulfilled;
    });
  });
});