/* global describe, it, before */

import chai from 'chai';
import {Client, RequestTypes} from '../lib/library.js';

const promised = require( 'chai-as-promised' );

chai.use( promised );
chai.should();

const expect = chai.expect;
const done = chai.done;

let lib;

const creditDecisionRequest = new RequestTypes.LatestDecisionRequest(123456);
const connectRequest = new RequestTypes.ConnectRequest('username', 'password');

describe('Given an instance of a connected Client', () => {
  before(() => {
    lib = new Client('apiId', 'apiKey');
    lib.login(connectRequest);
  });
  describe('when I pull a credit decision', () => {
    it('should not fail', () => {
      return lib.call(creditDecisionRequest).should.be.fulfilled;
    });
  });
});