/* global describe, it, before */

import chai from 'chai';
import {Client, RequestTypes} from '../lib/library.js';

const promised = require( 'chai-as-promised' );

chai.use( promised );
chai.should();

const expect = chai.expect;
const done = chai.done;

let lib;

const postcodeRequest = new RequestTypes.PostcodeSearchRequest('W105JJ');
const companiesRequest = new RequestTypes.CompaniesSearchRequest('10284');
const connectRequest = new RequestTypes.ConnectRequest('username', 'password');

describe('Given an instance of a connected Client', () => {
  before(() => {
    lib = new Client('apiId', 'apiKey');
    lib.login(connectRequest);
  });
  describe('when I search for a postcode', () => {
    it('should not fail', () => {
      return lib.call(postcodeRequest).should.be.fulfilled;
    });
  });
  describe('when I search for a company', () => {
    it('should not fail', () => {
      return lib.call(postcodeRequest).should.be.fulfilled;
    });
  });
});