/* global describe, it, before */

import chai from 'chai';
import {Client, TestRequestTypes} from '../lib/library.js';

const promised = require( 'chai-as-promised' );

chai.use( promised );
chai.should();

const expect = chai.expect;
const done = chai.done;

let lib;

const validRequest = new TestRequestTypes.PostcodeSearchRequest(true);
const connectRequest = new TestRequestTypes.ConnectRequest(true);

describe('Given an instance of Client', () => {
  before(() => {
    lib = new Client('apiId', 'apiKey');
    lib.login(connectRequest);
  });
  describe('when I search for a postcode', () => {
    it('should be fulfilled', () => {
      return lib.call(validRequest).should.be.fulfilled;
    });
    it('should return valid data', () => {
        var data = {data: [
            {
                'Line1': 'Westbourne Studio',
                'Line2': '12 Holloway Road',
                'Town': 'London',
                'Postcode': 'W105JJ',
            },
            {
                'Line1': 'Flat 456',
                'Line2': '12 Holloway Road',
                'Town': 'London',
                'Postcode': 'W105JJ',
            }
        ]};
        return lib.call(validRequest).should.eventually.deep.equal(data);
      });
  });
});