/* global describe, it, before */

import chai from 'chai';
import {Client, TestRequestTypes} from '../lib/library.js';

const promised = require( 'chai-as-promised' );

chai.use( promised );
chai.should();

const expect = chai.expect;
const done = chai.done;

let lib;

const validRequest = new TestRequestTypes.CreateApplicationRequest(true);
const invalidRequest = new TestRequestTypes.CreateApplicationRequest(false);
const connectRequest = new TestRequestTypes.ConnectRequest(true);

describe('Given an instance of Client', () => {
  before(() => {
    lib = new Client('apiId', 'apiKey');
  });
  describe('when I connect', () => {
    it('should not fail', () => {
      return lib.login(connectRequest).should.be.fulfilled;
    });
  });
  describe('when I need create an application', () => {
    it('should be fulfilled', () => {
      return lib.call(validRequest).should.be.fulfilled;
    });
  });
  describe('when I create an application without all parameters', () => {
    it('should be rejected', () => {
      return lib.call(invalidRequest).should.be.rejectedWith('Wrong parameters');
    });
  });
});